# btree.h File Reference

`#include <stdio.h>`
`#include "ubixfs.h"`
`#include "btreeheader.h"`
`#include "file.h"`

Go to the source code of this file.

## Data Structures

struct | bNode
class | bTree

## Defines

#define | B_MAX_CHILD_COUNT 4
#define | B_MAX_KEYS 15
#define | B_MAX_NAME_LENGTH 240
#define | B_NODE_MAGIC_1 0xDEADBEEF
#define | B_NODE_MAGIC_2 0x1900BABE

## Define Documentation

#define B_MAX_CHILD_COUNT 4

Definition at line 15 of file btree.h.

#define B_MAX_KEYS 15

Definition at line 13 of file btree.h.

Referenced by bTree::insertNode(), and bTree::splitNode().

#define B_MAX_NAME_LENGTH 240

Definition at line 14 of file btree.h.

Referenced by bTree::bTree(), bTree::Insert(), bTree::insertNode(), and bTree::splitNode().

#define B_NODE_MAGIC_1 0xDEADBEEF

Definition at line 10 of file btree.h.

Referenced by bTree::allocEmptyNode().

#define B_NODE_MAGIC_2 0x1900BABE

Definition at line 11 of file btree.h.

Referenced by bTree::allocEmptyNode().